NXOpen .NET Reference  12.0.0
Classes | Public Types | Public Member Functions | Properties | List of all members
NXOpen.DisplayManager Class Reference

Represents an object to manage display settings. More...

Inheritance diagram for NXOpen.DisplayManager:

Classes

struct  _J3dData
 3d interface structure
 
struct  J3dColor
 3d interface color definition More...
 
struct  J3dData
 3d interface structure More...
 
struct  J3dMaterial
 3d interface material definition More...
 

Public Types

enum  FacetCacheMemoryLevelType { None, One, Two, Three }
 Facet cache memory level. More...
 
enum  ShowHideType {
  All, Geometry, Bodies, Components,
  SolidBodies, SheetBodies, FacetedBodies, PolygonBodies,
  SheetPolygonBodies, SolidPolygonBodies, MidsurfacePolygonBodies, FromMeshPolygonBodies,
  FlowPolygonBodies, Datums, Points, DatumAxes,
  DatumPlanes, DatumPlaneGrids, EntitySelectionPlanes, Csys,
  Sketches, Curves, InfiniteLines, DraftingAnnotations,
  DraftingDimensions, DraftingNotes, DraftingSymbols, DraftingGdt,
  Pmi, PmiDimensions, PmiNotes, PmiSymbols,
  PmiGdt, AssemblyConstraints, PmiGeometry, CaeEntities,
  Meshes, Mesh0d, Mesh0dConcentratedMass, Mesh0dDistributedMass,
  Mesh0dHeatBody, Mesh0dNodeToGround, Mesh1d, Mesh1dBar,
  Mesh1dBeam, Mesh1dRod, Mesh1dBearing, Mesh1dRigidLink,
  Mesh1dInterpolation, Mesh1dSpring, Mesh1dEdgeContact, Mesh1dFaceContact,
  Mesh1dWeld, Mesh1dEdgeFaceConnection, Mesh1dPlotel, Mesh1dMass,
  Mesh1dMpc, Mesh2d, Mesh2dTri3, Mesh2dTri6,
  Mesh2dQuad4, Mesh2dQuad8, Mesh3d, Mesh3dTet4,
  Mesh3dTet10, Mesh3dTetMixed, Mesh3dHex8, Mesh3dHex20,
  Mesh3dHexcohes8, Mesh3dHexcohes20, Mesh3dWedge6, Mesh3dWedge15,
  Mesh3dWdgcohes6, Mesh3dWdgcohes15, Mesh3dPyramid5, Mesh3dPyramid13,
  Mesh3dPyramidMixed, DrawingObjects, DrawingDimensions, DrawingAnnotation,
  DrawingNotes, DrawingFeatureControlFrame, DrawingDatumFeatureSymbols, DrawingDatumTargets,
  DrawingBalloons, DrawingSurfaceFinishSymbols, DrawingWeldSymbols, DrawingTargetPointSymbols,
  DrawingIntersectionSymbols, DrawingCrosshatch, DrawingAreaFill, DrawingCenterlines,
  DrawingCustomSymbols, DrawingTables, DrawingTabularNotes, DrawingPartsLists,
  DrawingTitleBlocks, DrawingHoleTables, DrawingImages, PmiObject,
  PmiObjectDimensions, PmiAnnotations, PmiObjectNotes, PmiFeatureControlFrames,
  PmiDatumFeatureSymbols, PmiDatumTargets, PmiBalloons, PmiSurfaceFinishSymbols,
  PmiWeldSymbols, PmiCenterlines, PmiRegions, PmiTables,
  PmiCustomSymbols, Components2d, Images, RasterImage,
  AoAll, AoDeviationGauge, AoSectionAnalysis, AoGridAnalysis,
  AoHighlightLines, AoSurfaceContinuity, AoGapFlushness, AoCurveContinuity,
  AoCurveCurvature, AoSurfaceIntersection, AoDraftAnalysis, AoTrimAngleCheck,
  AoMoldFlow, AoLocalRadius, AoFaceCurvature, AoFaceAnalysis,
  AoWallThickness, MeshControls, MeshControlsEdgeDensity, MeshControlsMappedEdgeDensity,
  MeshControlsFaceDensity, MeshControlsMappedHoleDensity, MeshControlsWeldRowDensity, MeshControlsFilletDensity,
  MeshControlsCylinderDensity, MeshControlsBoundaryLayer, Mmc, MeshedPolygonBodies,
  UnmeshedPolygonBodies, MeshPoints, PmiSketchDimensions, CaeBoundingVolumes,
  MeshControlsPointDensity, MeshControlsBoundingVolumeDensity, SelectionRecipes, SelectionRecipesBoundingVolume,
  SelectionRecipesSingleNode
}
 Controls the type of object to show or hide. More...
 
enum  ShowHideScope { AnyInAssembly, WorkPartAndOccurrence }
 Controls the scope for the show hide operation. More...
 
enum  LayerSetting { MoveObjectsToWorkLayer, ChangeLayerToSelectable, Invalid }
 Represents the layer settings when the objects to show are in invisible layers More...
 

Public Member Functions

unsafe NXOpen.DisplayModification NewDisplayModification ()
 Constructs a new NXOpen.DisplayModification object. More...
 
unsafe void BlankObjects (NXOpen.DisplayableObject[] objects)
 Blank a set of displayable objects. More...
 
unsafe void UnblankObjects (NXOpen.DisplayableObject[] objects)
 Unblank a set of displayable objects. More...
 
unsafe int ShowByType (NXOpen.DisplayManager.ShowHideType type, NXOpen.DisplayManager.ShowHideScope scope)
 Shows a set of objects by type. More...
 
unsafe int ShowByType (string type, NXOpen.DisplayManager.ShowHideScope scope)
 Shows a set of objects by type. More...
 
unsafe int HideByType (NXOpen.DisplayManager.ShowHideType type, NXOpen.DisplayManager.ShowHideScope scope)
 Hides a set of objects by type. More...
 
unsafe int HideByType (string type, NXOpen.DisplayManager.ShowHideScope scope)
 Hides a set of objects by type. More...
 
unsafe void ShowOnly (NXOpen.DisplayableObject[] objects)
 Show a set of displayable objects. More...
 
unsafe void ShowAdjacent (NXOpen.DisplayableObject[] objects)
 Display objects adjacent to a set of displayable objects(NXOpen.CAE.CAEFace , NXOpen.CAE.CAEEdge ). More...
 
unsafe void ShowNodesRelatedToDisplayedElements (bool includeInteriorNodes)
 Display all nodes related to displayed elements. More...
 
unsafe void MakeUpToDate ()
 Ensures that previously invoked display operations are complete. More...
 
unsafe
NXOpen.DisplayManager.J3dData[] 
GetJ3dData ()
 Returns the list of displayable entities along with display information for each entity in the displayed part. More...
 
unsafe bool GetJ3dGeometry (NXOpen.DisplayableObject eid, double tolerance, bool wireframe, out double[] points, out double[] normals, out int[] pointsPerStrip)
 Returns polygon/vector information for an entity More...
 
unsafe void ShowObjects (NXOpen.DisplayableObject[] objects, NXOpen.DisplayManager.LayerSetting layerSetting)
 Unblank a set of displayable objects considering the following layer settings if the objects are in invisible layers. More...
 
unsafe string[] GetShowableHideableTypes ()
 Returns an array of all Registered ShowHideType strings. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 
unsafe
NXOpen.DisplayManager.FacetCacheMemoryLevelType 
FacetCacheMemoryLevel [get, set]
 Returns or sets the memory level of the display facet cache system. More...
 

Detailed Description

Represents an object to manage display settings.

Input to this class can be PSM facet objects.

To obtain an instance of this class, refer to NXOpen.Session

Created in NX3.0.0

Member Enumeration Documentation

Facet cache memory level.

See NXOpen.DisplayManager.FacetCacheMemoryLevel

Enumerator
None 
One 
Two 
Three 

Represents the layer settings when the objects to show are in invisible layers

Enumerator
MoveObjectsToWorkLayer 

Move the objects to work layer if they are in invisible layer

ChangeLayerToSelectable 

Change the layer to selectable if it is invisible

Invalid 

Last value, should not be used.

Controls the scope for the show hide operation.

See ShowByType and HideByType

Enumerator
AnyInAssembly 

Show and hide objects from the entire displayed part

WorkPartAndOccurrence 

Show and hide objects only from the work part and its children

Controls the type of object to show or hide.

See ShowByType and HideByType

Enumerator
All 

Show or hide all of the following objects

Geometry 

Show or hide all geometry objects.

This includes all bodies, components, and datums

Bodies 

Show or hide all bodies.

This includes solid, sheet, and facetted bodies

Components 

Show or hide components

SolidBodies 

Show or hide solid bodies

SheetBodies 

Show or hide sheet bodies

FacetedBodies 

Show or hide faceted bodies

PolygonBodies 

Show or hide polygon bodies

SheetPolygonBodies 

Show or hide sheet polygon bodies

SolidPolygonBodies 

Show or hide solid polygon bodies

MidsurfacePolygonBodies 

Show or hide midsurface polygon bodies

FromMeshPolygonBodies 

Show or hide from mesh polygon bodies

FlowPolygonBodies 

Show or hide flow polygon bodies

Datums 

Show or hide Datums i.e Coordinate Systems Datum Axes, Datum Planes, Datum Plane Grids, Points

Points 

Show or hide points

DatumAxes 

Show or hide datum axes

DatumPlanes 

Show or hide datum planes

DatumPlaneGrids 

Show or hide datum plane grids

EntitySelectionPlanes 

Show or hide entity selection planes

Csys 

Show or hide coordinate systems

Sketches 

Show or hide sketches

Curves 

Show or hide curves

InfiniteLines 

Show or hide infinite lines

DraftingAnnotations 

Show or hide all drafting types.

This includes drafting notes, dimensions, symbols and gdt

DraftingDimensions 

Show or hide drafting dimensions

DraftingNotes 

Show or hide drafting notes

DraftingSymbols 

Show or hide drafting symbols

DraftingGdt 

Show or hide drafting gdt

Pmi 

Show or hide all pmi types.

This includes pmi notes, dimensions, symbols and gdt

PmiDimensions 

Show or hide pmi dimensions

PmiNotes 

Show or hide pmi notes

PmiSymbols 

Show or hide pmi symbols

PmiGdt 

Show or hide pmi gdt

AssemblyConstraints 

Show or hide assembly constraints

PmiGeometry 

Show or hide pmi geometry

CaeEntities 

Show or hide all CAE entities

Meshes 

Show or hide all mesh types

Mesh0d 

Show or hide all 0d meshes

Mesh0dConcentratedMass 

Show or hide all 0d concentrated mass meshes

Mesh0dDistributedMass 

Show or hide all 0d distributed mass meshes

Mesh0dHeatBody 

Show or hide all 0d heat body meshes

Mesh0dNodeToGround 

Show or hide all 0d node to ground meshes

Mesh1d 

Show or hide all 1d mesh types

Mesh1dBar 

Show or hide all 1d bar mesh types

Mesh1dBeam 

Show or hide all 1d beam mesh types

Mesh1dRod 

Show or hide all 1d rod mesh types

Mesh1dBearing 

Show or hide all 1d bearing mesh types

Mesh1dRigidLink 

Show or hide all 1d rigid link mesh types

Mesh1dInterpolation 

Show or hide all 1d interpolation mesh types

Mesh1dSpring 

Show or hide all 1d spring mesh types

Mesh1dEdgeContact 

Show or hide all 1d edge contact mesh types

Mesh1dFaceContact 

Show or hide all 1d face contact mesh types

Mesh1dWeld 

Show or hide all 1d weld mesh types

Mesh1dEdgeFaceConnection 

Show or hide all 1d edge face connection mesh types

Mesh1dPlotel 

Show or hide all 1d PLOTEL mesh types

Mesh1dMass 

Show or hide all 1d massmesh types

Mesh1dMpc 

Show or hide all mpc mesh types

Mesh2d 

Show or hide all 2d meshes

Mesh2dTri3 

Show or hide all 2d meshes with triangular 3 node elements

Mesh2dTri6 

Show or hide all 2d meshes with triangular 6 node elements

Mesh2dQuad4 

Show or hide all 2d meshes with quadrilateral 4 node elements

Mesh2dQuad8 

Show or hide all 2d meshes with quadrilateral 8 node elements

Mesh3d 

Show or hide all 3d meshes

Mesh3dTet4 

Show or hide all 3d meshes with tetrahedral 4 node elements

Mesh3dTet10 

Show or hide all 3d meshes with tetrahedral 10 node elements

Mesh3dTetMixed 

Show or hide all 3d meshes with tetrahedral elements with dropped mid-nodes

Mesh3dHex8 

Show or hide all 3d meshes with hexahedral elements with 8 nodes

Mesh3dHex20 

Show or hide all 3d meshes with hexahedral elements with 20 nodes

Mesh3dHexcohes8 

Show or hide all 3d meshes with hexahedral cohesive elements with 8 nodes

Mesh3dHexcohes20 

Show or hide all 3d meshes with hexahedral cohesive elements with 20 nodes

Mesh3dWedge6 

Show or hide all 3d meshes with wedge elements with 6 nodes

Mesh3dWedge15 

Show or hide all 3d meshes with wedge elements with 15 nodes

Mesh3dWdgcohes6 

Show or hide all 3d meshes with wedge cohesive elements with 6 nodes

Mesh3dWdgcohes15 

Show or hide all 3d meshes with wedge cohesive elements with 15 nodes

Mesh3dPyramid5 

Show or hide all 3d meshes with pyramid elements with 5 nodes

Mesh3dPyramid13 

Show or hide all 3d meshes with pyramid elements with 13 nodes

Mesh3dPyramidMixed 

Show or hide all 3d meshes with pyramid elements with dropped mid-nodes

DrawingObjects 

Show or hide all drafting types.

This includes drafting dimensions, Annotations, Custom Symbols, Tables and Images.

DrawingDimensions 

Show or hide all drafting dimensions.

DrawingAnnotation 

Show or hide all drafting annotations.

This includes drafting Notes, Feature Control Frames, Datum Feature Symbols, Datum Targets, Balloons, Surface Finish Symbol, Weld Symbol, Target Point Symbol, Intersection Symbol, Crosshatch, Area Fill and Centerlines.

DrawingNotes 

Show or hide all drafting Notes.

DrawingFeatureControlFrame 

Show or hide all drafting Feature Control Frames.

DrawingDatumFeatureSymbols 

Show or hide all drafting Datum Feature Symbols.

DrawingDatumTargets 

Show or hide all drafting Datum Targets.

DrawingBalloons 

Show or hide all drafting Balloons.

DrawingSurfaceFinishSymbols 

Show or hide all drafting Surface Finish Symbols.

DrawingWeldSymbols 

Show or hide all drafting Weld Symbols.

DrawingTargetPointSymbols 

Show or hide all drafting Target Point Symbols.

DrawingIntersectionSymbols 

Show or hide all drafting Intersection Symbols.

DrawingCrosshatch 

Show or hide all drafting Crosshatch.

DrawingAreaFill 

Show or hide all drafting Area Fill.

DrawingCenterlines 

Show or hide all drafting Centerlines.

DrawingCustomSymbols 

Show or hide all all drafting Custom Symbols.

DrawingTables 

Show or hide all drafting tables.

This includes Tabular Notes, Parts Lists and Title Blocks.

DrawingTabularNotes 

Show or hide all Tabular Notes.

DrawingPartsLists 

Show or hide all Parts Lists.

DrawingTitleBlocks 

Show or hide all Title Blocks.

DrawingHoleTables 

Show or hide all Hole Tables.

DrawingImages 

Show or hide all Images.

PmiObject 

Show or hide all pmi objects

PmiObjectDimensions 

Show or hide all pmi dimensions.

PmiAnnotations 

Show or hide all pmi annotations.

PmiObjectNotes 

Show or hide all pmi notes.

PmiFeatureControlFrames 

Show or hide all pmi feature control frames.

PmiDatumFeatureSymbols 

Show or hide all pmi datum feature symbols.

PmiDatumTargets 

Show or hide all pmi datum targets.

PmiBalloons 

Show or hide all pmi balloons.

PmiSurfaceFinishSymbols 

Show or hide all pmi surface finish symbols.

PmiWeldSymbols 

Show or hide all pmi weld symbols.

PmiCenterlines 

Show or hide all pmi centerlines.

PmiRegions 

Show or hide all pmi regions.

PmiTables 

Show or hide all pmi tables.

PmiCustomSymbols 

Show or hide all pmi custom symbols.

Components2d 

Show or hide 2d components

Images 

Show or hide all images.

This includes raster images.

RasterImage 

Show or hide raster images

AoAll 

Show or hide all analysis objects.

AoDeviationGauge 

Show or hide deviation gauge analysis objects.

AoSectionAnalysis 

Show or hide section analysis objects.

AoGridAnalysis 

Show or hide grid analysis objects.

AoHighlightLines 

Show or hide highlight lines analysis objects.

AoSurfaceContinuity 

Show or hide surface continuity analysis objects.

AoGapFlushness 

Show or hide gap and flushness analysis objects.

AoCurveContinuity 

Show or hide curve continuity analysis objects.

AoCurveCurvature 

Show or hide curve analysis objects.

AoSurfaceIntersection 

Show or hide surface intersection analysis objects.

AoDraftAnalysis 

Show or hide draft analysis objects.

AoTrimAngleCheck 

Show or hide trim angle check analysis objects.

AoMoldFlow 

Show or hide mold flow analysis objects.

AoLocalRadius 

Show or hide local radius analysis objects.

AoFaceCurvature 

Show or hide face curvature analysis objects.

AoFaceAnalysis 

Show or hide face analysis objects.

AoWallThickness 

Show or hide wall thickness analysis objects.

MeshControls 

Show or hide all mesh controls.

MeshControlsEdgeDensity 

Show or hide all mesh controls - edge density.

MeshControlsMappedEdgeDensity 

Show or hide all mesh controls - mapped edge density.

MeshControlsFaceDensity 

Show or hide all mesh controls - face density.

MeshControlsMappedHoleDensity 

Show or hide all mesh controls - mapped hole density.

MeshControlsWeldRowDensity 

Show or hide all mesh controls - weld row density.

MeshControlsFilletDensity 

Show or hide all mesh controls - fillet density.

MeshControlsCylinderDensity 

Show or hide all mesh controls - cylinder density.

MeshControlsBoundaryLayer 

Show or hide all mesh controls - boundary layer.

Mmc 

Show or hide all mesh mating conditions.

MeshedPolygonBodies 

Show or hide meshed polygon bodies

UnmeshedPolygonBodies 

Show or hide unmeshed polygon bodies

MeshPoints 

Show or hide mesh points

PmiSketchDimensions 

Show or hide all pmi sketch dimensions

CaeBoundingVolumes 

Show or hide all CAE bounding volumes.

MeshControlsPointDensity 

Show or hide all mesh controls - point density.

MeshControlsBoundingVolumeDensity 

Show or hide all mesh controls - bounding volume density.

SelectionRecipes 

Show or hide all selection recipes.

SelectionRecipesBoundingVolume 

Show or hide all bounding volume selection recipes.

SelectionRecipesSingleNode 

Show or hide all single node selection recipes.

Member Function Documentation

unsafe void NXOpen.DisplayManager.BlankObjects ( NXOpen.DisplayableObject[]  objects)

Blank a set of displayable objects.

You may want to use NXOpen.View.FitAfterShowOrHide after using this method. Some displayable objects are not valid for this method and, if found in the objects input, will be ignored. These include face and edge objects of solid bodies.

Created in NX3.0.0

License requirements: None.

Parameters
objects
unsafe NXOpen.DisplayManager.J3dData [] NXOpen.DisplayManager.GetJ3dData ( )

Returns the list of displayable entities along with display information for each entity in the displayed part.

Created in NX5.0.0

License requirements: None.

Returns
Array of entities and display data
unsafe bool NXOpen.DisplayManager.GetJ3dGeometry ( NXOpen.DisplayableObject  eid,
double  tolerance,
bool  wireframe,
out double[]  points,
out double[]  normals,
out int[]  pointsPerStrip 
)

Returns polygon/vector information for an entity

Created in NX5.0.0

License requirements: None.

Parameters
eidentity to tesselate
toleranceadjustment factor for tesselation tolerance
wireframeif true generates wireframe solids
pointspolygon/vector points
normalspolygon normals
pointsPerStrippoints for each triangle strip
Returns
true if vector data produced
unsafe string [] NXOpen.DisplayManager.GetShowableHideableTypes ( )

Returns an array of all Registered ShowHideType strings.

Created in NX9.0.0

License requirements: None.

Returns
Registered ShowHideType strings.
unsafe int NXOpen.DisplayManager.HideByType ( NXOpen.DisplayManager.ShowHideType  type,
NXOpen.DisplayManager.ShowHideScope  scope 
)

Hides a set of objects by type.

You may want to use NXOpen.View.FitAfterShowOrHide after using this method.

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.DisplayManager.HideByType that takes a string type instead. To find all registered ShowHideType string use NXOpen.DisplayManager.GetShowableHideableTypes

License requirements: None.

Parameters
typeThe type of object to hide
scopeThe scope for the show hide operation
Returns
The number of objects hidden
unsafe int NXOpen.DisplayManager.HideByType ( string  type,
NXOpen.DisplayManager.ShowHideScope  scope 
)

Hides a set of objects by type.

You may want to use NXOpen.View.FitAfterShowOrHide after using this method.

Created in NX9.0.0

License requirements: None.

Parameters
typeThe type of object to hide
scopeThe scope for the show hide operation
Returns
The number of objects hidden
unsafe void NXOpen.DisplayManager.MakeUpToDate ( )

Ensures that previously invoked display operations are complete.

Called only by NXOpen applications that directly invoke Windows, MFC, or Motif functions to display dialogs. This function is not needed when NXOpen dialogs are used.

Created in NX3.0.0

License requirements: None.

unsafe NXOpen.DisplayModification NXOpen.DisplayManager.NewDisplayModification ( )

Constructs a new NXOpen.DisplayModification object.

Created in NX3.0.0

License requirements: None.

Returns
The new DisplayModification instance
unsafe void NXOpen.DisplayManager.ShowAdjacent ( NXOpen.DisplayableObject[]  objects)

Display objects adjacent to a set of displayable objects(NXOpen.CAE.CAEFace , NXOpen.CAE.CAEEdge ).

If NXOpen.CAE.CAEFace selected, display all it's neighbouring faces and associated edges. If NXOpen.CAE.CAEEdge selected, display it's associated faces and their associated edges.

Created in NX5.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
objects
unsafe int NXOpen.DisplayManager.ShowByType ( NXOpen.DisplayManager.ShowHideType  type,
NXOpen.DisplayManager.ShowHideScope  scope 
)

Shows a set of objects by type.

You may want to use NXOpen.View.FitAfterShowOrHide after using this method.

Created in NX5.0.0

Deprecated in NX9.0.0. Use NXOpen.DisplayManager.ShowByType that takes a string type instead.

License requirements: None.

Parameters
typeThe type of object to show
scopeThe scope for the show hide operation
Returns
The number of objects shown
unsafe int NXOpen.DisplayManager.ShowByType ( string  type,
NXOpen.DisplayManager.ShowHideScope  scope 
)

Shows a set of objects by type.

You may want to use NXOpen.View.FitAfterShowOrHide after using this method.

Created in NX9.0.0

License requirements: None.

Parameters
typeThe type of object to show
scopeThe scope for the show hide operation
Returns
The number of objects shown
unsafe void NXOpen.DisplayManager.ShowNodesRelatedToDisplayedElements ( bool  includeInteriorNodes)

Display all nodes related to displayed elements.

This function will do nothing if NXOpen.CAE.ModelDisplayBuilder has the node display mode set to NXOpen.CAE.ModelDisplayBuilder.NodeDisplayModeType.Implicit

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
includeInteriorNodes
unsafe void NXOpen.DisplayManager.ShowObjects ( NXOpen.DisplayableObject[]  objects,
NXOpen.DisplayManager.LayerSetting  layerSetting 
)

Unblank a set of displayable objects considering the following layer settings if the objects are in invisible layers.

  1. NXOpen.DisplayManager.LayerSetting.MoveObjectsToWorkLayer - The objects will be moved to work layer before unblanking the objects if they are in invisible layer.
  2. NXOpen.DisplayManager.LayerSetting.ChangeLayerToSelectable - The objects layer will be changed to selectable if the layer is invisible

Created in NX5.0.2

License requirements: None.

Parameters
objects
layerSettingLayer setting option
unsafe void NXOpen.DisplayManager.ShowOnly ( NXOpen.DisplayableObject[]  objects)

Show a set of displayable objects.

The objects selectable are: NXOpen.Curve , NXOpen.Point , NXOpen.CAE.MeshPoint , CSYS, NXOpen.Plane , Mesh, NXOpen.CAE.CAEBody , NXOpen.CAE.CAEFace , Load, Constraint and Simulation Object. You may want to use NXOpen.View.FitAfterShowOrHide after using this method.

Created in NX5.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
objects
unsafe void NXOpen.DisplayManager.UnblankObjects ( NXOpen.DisplayableObject[]  objects)

Unblank a set of displayable objects.

You may want to use NXOpen.View.FitAfterShowOrHide after using this method. Some displayable objects are not valid for this method and, if found in the objects input, will be ignored. These include face and edge objects of solid bodies.

Created in NX3.0.0

License requirements: None.

Parameters
objects

Property Documentation

unsafe NXOpen.DisplayManager.FacetCacheMemoryLevelType NXOpen.DisplayManager.FacetCacheMemoryLevel
getset

Returns or sets the memory level of the display facet cache system.

Facet cache memory level is used to manage the memory footprint of the display facet cache. Higher memory level implies higher memory footprint.

Facet caching can be turned off by setting the memory level to NXOpen.DisplayManager.FacetCacheMemoryLevelType.None . For all other memory levels, the display system will attempt to perform periodic cleanup if it detects that NX is experiencing memory pressure. The extent of cleanup depends on the memory level. Lower memory level indicates that more cleanup is desired to keep loweer memory footprint. Note that low memory level can slow down rendering performance due to absence of facet data in the facet cache.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: None.

Tag NXOpen.DisplayManager.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.